<?php
/* --------------------------------------------------------------
   GoogleTrackingCheckoutSuccess.inc.php 2018-10-04
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class GoogleTrackingCheckoutSuccess extends GoogleTrackingCheckoutSuccess_parent
{
	public function prepare_data()
	{
		parent::prepare_data();
		
		/** @var \GoogleTrackingServiceInterface $trackingService */
		$trackingService = GoogleTrackingServiceFactory::trackingService();
		$orderId         = new IdType($this->order_id);
		
		try
		{
			$analyticsTrackingEnabled     = $trackingService->analyticsTrackingEnabled();
			$adsConversionTrackingEnabled = $trackingService->adsConversionTrackingEnabled();
			
			$this->content_array['google_analytics_tracking_enabled']      = $analyticsTrackingEnabled;
			$this->content_array['google_ads_conversion_tracking_enabled'] = $adsConversionTrackingEnabled;
			
			if($analyticsTrackingEnabled)
			{
				$this->content_array['google_analytics_tracking_data'] = json_encode($trackingService->analyticsPurchaseTrackingData($orderId));
			}
			
			if($adsConversionTrackingEnabled)
			{
				$this->content_array['google_ads_conversion_tracking_data'] = json_encode($trackingService->adsConversionTrackingData($orderId));
			}
		}
		catch(\Exception $e)
		{
			$this->content_array['google_analytics_enabled']               = false;
			$this->content_array['google_ads_conversion_tracking_enabled'] = false;
			
			LogControl::get_instance()
			          ->notice($e->getMessage(), 'error_handler', 'error_handler', 'errors', 'notice', $e->getCode(),
			                   $e->getTraceAsString());
		}
	}
}